xpra icon
Bug tracker and wiki

Opened 9 months ago

Closed 7 months ago

#1753 closed defect (fixed)

Namespace GtkosxApplication not found

Reported by: unkulunkulu Owned by: unkulunkulu
Priority: major Milestone: 2.3
Component: android Version: 2.2.x
Keywords: Cc:

Description

mac os 10.13.2
2.3-r18140 fails on Xpra attach with the following error:

xpra main error:
Traceback (most recent call last):
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/gtk_common/gobject_compat.py", line 44, in trygtk3
    return import_method_gtk3()
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/gtk_common/gobject_compat.py", line 183, in import_gtkosx_application3
    gi.require_version('GtkosxApplication', '1.0')
  File "/Applications/Xpra.app/Contents/Resources/lib/python/gi/__init__.py", line 118, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace GtkosxApplication not available

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/scripts/main.py", line 175, in main
    return run_mode(script_file, err, options, args, mode, defaults)
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/scripts/main.py", line 1520, in run_mode
    return run_client(error_cb, options, args, mode)
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/scripts/main.py", line 2497, in run_client
    app = get_client_app(error_cb, opts, extra_args, mode)
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/scripts/main.py", line 2574, in get_client_app
    gui_init()
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/platform/gui.py", line 18, in init
    do_init()
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/platform/darwin/gui.py", line 84, in do_init
    osxapp = get_OSXApplication()
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/platform/darwin/gui.py", line 77, in get_OSXApplication
    gtkosx_application = import_gtkosx_application()
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/gtk_common/gobject_compat.py", line 187, in import_gtkosx_application
    return _try_import(import_gtkosx_application3, import_gtkosx_application2)
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/gtk_common/gobject_compat.py", line 48, in _try_import
    return trygtk3()
  File "/Applications/Xpra.app/Contents/Resources/lib/python/xpra/gtk_common/gobject_compat.py", line 46, in trygtk3
    raise ImportError(e)
ImportError: Namespace GtkosxApplication not available

Change History (2)

comment:1 Changed 9 months ago by Antoine Martin

Owner: changed from Antoine Martin to unkulunkulu

Sorry about that and thanks for reporting the problem.
I had not tested the package on machines other than the build system and some bits were still being loaded from outside the app bundle.

Fixed in r18152. New 2.3 macos beta build uploaded here: https://xpra.org/beta/osx/

comment:2 Changed 7 months ago by Antoine Martin

Milestone: 2.3
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.